<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:orientation="vertical"
    android:clickable="true"
    android:background="@drawable/ripple_water">

    <androidx.appcompat.widget.LinearLayoutCompat
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:gravity="center_vertical"
        android:orientation="horizontal"
        android:paddingTop="@dimen/d_12"
        android:paddingBottom="@dimen/d_12">

        <TextView
            android:id="@+id/userName"
            style="@style/table_cell"
            android:layout_weight="0.6"
            android:paddingStart="@dimen/dp_40"
            android:text="请假学生" />

        <FrameLayout
            style="@style/table_cell"
            android:layout_weight="0.6">

            <com.qmuiteam.qmui.widget.QMUIRadiusImageView
                android:id="@+id/faceImg"
                android:layout_width="@dimen/d_70"
                android:layout_height="@dimen/d_70"
                app:qmui_border_color="@color/white"
                app:qmui_corner_radius="@dimen/d_5" />

            <com.qmuiteam.qmui.widget.roundwidget.QMUIRoundButton
                android:id="@+id/faceEmpty"
                android:layout_width="@dimen/d_70"
                android:layout_height="@dimen/d_70"
                android:paddingTop="@dimen/d_5"
                android:paddingBottom="@dimen/d_5"
                android:text="未设置"
                android:textColor="@color/white"
                app:qmui_backgroundColor="#ccc"
                app:qmui_borderColor="#ccc"
                app:qmui_radius="@dimen/d_5" />
        </FrameLayout>


        <FrameLayout
            style="@style/table_cell"
            android:layout_weight="1">
            <LinearLayout
                android:id="@+id/healthCodeStatusLayout"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center_vertical"
                android:orientation="vertical">
                <TextView
                    android:id="@+id/healthCodeStatus"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="状态：绿码"
                    android:textSize="@dimen/d_20"/>
                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="成都大数据中心提供"
                    android:textColor="@color/gray_1"
                    android:textSize="@dimen/d_15"/>
            </LinearLayout>
            <com.qmuiteam.qmui.widget.QMUIRadiusImageView
                android:id="@+id/healthCodeImg"
                android:layout_width="@dimen/d_70"
                android:layout_height="@dimen/d_70"
                app:qmui_border_color="@color/white"
                app:qmui_corner_radius="@dimen/d_5"
                android:visibility="gone"/>

            <com.qmuiteam.qmui.widget.roundwidget.QMUIRoundButton
                android:id="@+id/healthCodeEmpty"
                android:layout_width="@dimen/d_70"
                android:layout_height="@dimen/d_70"
                android:paddingTop="@dimen/d_5"
                android:paddingBottom="@dimen/d_5"
                android:text="未上传"
                android:textColor="@color/white"
                app:qmui_backgroundColor="#ccc"
                app:qmui_borderColor="#ccc"
                app:qmui_radius="@dimen/d_5"
                android:visibility="gone"/>
        </FrameLayout>

        <FrameLayout
            style="@style/table_cell"
            android:layout_weight="1">

            <com.qmuiteam.qmui.widget.QMUIRadiusImageView
                android:id="@+id/tripCodeImg"
                android:layout_width="@dimen/d_70"
                android:layout_height="@dimen/d_70"
                app:qmui_border_color="@color/white"
                app:qmui_corner_radius="@dimen/d_5" />

            <com.qmuiteam.qmui.widget.roundwidget.QMUIRoundButton
                android:id="@+id/tripCodeEmpty"
                android:layout_width="@dimen/d_70"
                android:layout_height="@dimen/d_70"
                android:paddingTop="@dimen/d_5"
                android:paddingBottom="@dimen/d_5"
                android:text="未上传"
                android:textColor="@color/white"
                app:qmui_backgroundColor="#ccc"
                app:qmui_borderColor="#ccc"
                app:qmui_radius="@dimen/d_5" />
        </FrameLayout>

        <FrameLayout
            style="@style/table_cell"
            android:layout_weight="1.5">
            <com.qmuiteam.qmui.widget.QMUIRadiusImageView
                android:id="@+id/nucleinImg"
                android:layout_width="@dimen/d_70"
                android:layout_height="@dimen/d_70"
                app:qmui_border_color="@color/white"
                app:qmui_corner_radius="@dimen/d_5"
                android:visibility="gone"/>

            <com.qmuiteam.qmui.widget.roundwidget.QMUIRoundButton
                android:id="@+id/nucleinEmpty"
                android:layout_width="@dimen/d_70"
                android:layout_height="@dimen/d_70"
                android:paddingTop="@dimen/d_5"
                android:paddingBottom="@dimen/d_5"
                android:text="未上传"
                android:textColor="@color/white"
                app:qmui_backgroundColor="#ccc"
                app:qmui_borderColor="#ccc"
                app:qmui_radius="@dimen/d_5"
                android:visibility="visible"/>
            <LinearLayout
                android:id="@+id/nucleinStatusLayout"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:orientation="vertical"
                android:gravity="center_vertical"
                android:layout_gravity="center_vertical"
                android:layout_marginStart="@dimen/d_80">
                <TextView
                    android:id="@+id/nucleinStatus"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="状态：绿码"
                    android:textSize="@dimen/d_20"/>
                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="成都大数据中心提供"
                    android:textColor="@color/gray_1"
                    android:textSize="@dimen/d_15"/>
            </LinearLayout>

        </FrameLayout>

        <TextView
            android:id="@+id/isDrive"
            style="@style/table_cell"
            android:layout_weight="1"
            android:text="是否驾车" />

        <TextView
            android:id="@+id/receptionUser"
            style="@style/table_cell"
            android:layout_weight="1"
            android:text="接待人"/>

        <TextView
            android:id="@+id/statusName"
            style="@style/table_cell"
            android:layout_weight="1"
            android:text="状态" />
        <TextView
            android:id="@+id/applyTime"
            style="@style/table_cell"
            android:layout_weight="1"
            android:text="申请时间" />

    </androidx.appcompat.widget.LinearLayoutCompat>

    <View
        android:id="@+id/bottomLine"
        android:layout_width="match_parent"
        android:layout_height="1px"
        android:background="@color/backgroundColor" />
</LinearLayout>